files = list.files(pattern="SraRunSummary")
for (i in files){ 
  assign(gsub(".csv","",i), read.csv(i, header=T)) 
}

png("SRA_Human_Stats.png", height=1024, width=1024)
par(mfrow=c(1,2))
barplot(c((sum(SraRunSummary_2009$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummary_2010$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummary_2011$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummary_2012$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummary_2013$Total.Bases, na.rm=T)/1e+6)), xlab = "Year", ylab =  "Mbases", names.arg = c("2009","2010","2011","2012","2013"), main = "SRA Submissions since 2009 - Total Sequenced Bases - Human Genomic DNA", cex.main=0.8)
barplot(c((sum(SraRunSummaryExomes_2009$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummaryExomes_2010$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummaryExomes_2011$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummaryExomes_2012$Total.Bases, na.rm=T)/1e+6), (sum(SraRunSummaryExomes_2013$Total.Bases, na.rm=T)/1e+6)), xlab = "Year", ylab =  "Mbases", names.arg = c("2009","2010","2011","2012","2013"), main = "SRA Submissions since 2009 - Total Sequenced Bases - Human Exonic DNA", cex.main=0.8)
dev.off()



